//#include<cstdio>
//#include<iostream>
//using namespace std;

#include<stdio.h>
#include<stdlib.h>

int a[1000005], i,n,k;
__int64 sum;

int comp(int *e1,int *e2){
	return *e1-*e2;
	}

int main()
{
	freopen("A.in", "r", stdin);
	freopen("A.out", "w", stdout);
	scanf("%d%d",&n,&k);
	for(int i=0; i<n;i++){
		scanf("%d",&a[i]);
		}
	qsort(a,n,sizeof(int),(int(*)(const void*,const void*))comp);
	sum=0;
	for(int i=k; i<n;i++){
		sum+=a[i];
		}
	printf("%I64d\n",sum);
	return 0;
}